Index: /branches/HTM-9.2-dev0/source/Lib/TLibDecoder/TDecTop.cpp
===================================================================
--- /branches/HTM-9.2-dev0/source/Lib/TLibDecoder/TDecTop.cpp	(revision 765)
+++ /branches/HTM-9.2-dev0/source/Lib/TLibDecoder/TDecTop.cpp	(revision 766)
@@ -656,10 +656,8 @@
 #if H_MV
   m_apcSlicePilot->setVPS(vps);  
-#if H_MV_6_PS_0092_17
   // The nuh_layer_id value of the NAL unit containing the PPS that is activated for a layer layerA with nuh_layer_id equal to nuhLayerIdA shall be equal to 0, or nuhLayerIdA, or the nuh_layer_id of a direct or indirect reference layer of layerA.
   assert( pps->getLayerId() == m_layerId || pps->getLayerId( ) == 0 || vps->getInDirectDependencyFlag( m_layerId, pps->getLayerId() ) );   
   // The nuh_layer_id value of the NAL unit containing the SPS that is activated for a layer layerA with nuh_layer_id equal to nuhLayerIdA shall be equal to 0, or nuhLayerIdA, or the nuh_layer_id of a direct or indirect reference layer of layerA.
   assert( sps->getLayerId() == m_layerId || sps->getLayerId( ) == 0 || vps->getInDirectDependencyFlag( m_layerId, sps->getLayerId() ) );
-#endif
   sps->inferRepFormat  ( vps , m_layerId ); 
   sps->inferScalingList( m_parameterSetManagerDecoder.getActiveSPS( sps->getSpsScalingListRefLayerId() ) ); 
@@ -692,9 +690,5 @@
 
 #if H_MV
-#if H_MV_FIX_SKIP_PICTURES
 Bool TDecTop::xDecodeSlice(InputNALUnit &nalu, Int &iSkipFrame, Int iPOCLastDisplay, Bool newLayerFlag, Bool& sliceSkippedFlag  )
-#else
-Bool TDecTop::xDecodeSlice(InputNALUnit &nalu, Int &iSkipFrame, Int iPOCLastDisplay, Bool newLayerFlag )
-#endif
 {
   assert( nalu.m_layerId == m_layerId ); 
@@ -754,7 +748,5 @@
 #endif
 
-#if H_MV_LAYER_WISE_STARTUP
     xCeckNoClrasOutput();
-#endif
     // Skip pictures due to random access
     if (isRandomAccessSkipPicture(iSkipFrame, iPOCLastDisplay))
@@ -762,7 +754,5 @@
     m_prevSliceSkipped = true;
     m_skippedPOC = m_apcSlicePilot->getPOC();
-#if H_MV_FIX_SKIP_PICTURES
       sliceSkippedFlag = true; 
-#endif
       return false;
     }
@@ -772,7 +762,5 @@
     m_prevSliceSkipped = true;
     m_skippedPOC = m_apcSlicePilot->getPOC();
-#if H_MV_FIX_SKIP_PICTURES
       sliceSkippedFlag = true; 
-#endif
       return false;
     }
@@ -1222,9 +1210,5 @@
 
 #if H_MV
-#if H_MV_FIX_SKIP_PICTURES
 Bool TDecTop::decode(InputNALUnit& nalu, Int& iSkipFrame, Int& iPOCLastDisplay, Bool newLayerFlag, Bool& sliceSkippedFlag )
-#else
-Bool TDecTop::decode(InputNALUnit& nalu, Int& iSkipFrame, Int& iPOCLastDisplay, Bool newLayerFlag)
-#endif
 #else
 Bool TDecTop::decode(InputNALUnit& nalu, Int& iSkipFrame, Int& iPOCLastDisplay)
@@ -1271,9 +1255,5 @@
     case NAL_UNIT_CODED_SLICE_RASL_R:
 #if H_MV
-#if H_MV_FIX_SKIP_PICTURES
       return xDecodeSlice(nalu, iSkipFrame, iPOCLastDisplay, newLayerFlag, sliceSkippedFlag );
-#else
-      return xDecodeSlice(nalu, iSkipFrame, iPOCLastDisplay, newLayerFlag);
-#endif
 #else
       return xDecodeSlice(nalu, iSkipFrame, iPOCLastDisplay);
@@ -1324,9 +1304,5 @@
     return true;
   }
-#if H_MV_LAYER_WISE_STARTUP
   else if ( !m_layerInitilizedFlag[ m_layerId ] ) // start of random access point, m_pocRandomAccess has not been set yet.
-#else
-  else if (m_pocRandomAccess == MAX_INT) // start of random access point, m_pocRandomAccess has not been set yet.
-#endif
   {
     if (   m_apcSlicePilot->getNalUnitType() == NAL_UNIT_CODED_SLICE_CRA
@@ -1336,5 +1312,4 @@
     {
 
-#if H_MV_LAYER_WISE_STARTUP
       if ( xAllRefLayersInitilized() )
       {
@@ -1346,12 +1321,7 @@
         return true; 
       }
-#else
-      // set the POC random access since we need to skip the reordered pictures in the case of CRA/CRANT/BLA/BLANT.
-      m_pocRandomAccess = m_apcSlicePilot->getPOC();
-#endif
     }
     else if ( m_apcSlicePilot->getNalUnitType() == NAL_UNIT_CODED_SLICE_IDR_W_RADL || m_apcSlicePilot->getNalUnitType() == NAL_UNIT_CODED_SLICE_IDR_N_LP )
     {
-#if H_MV_LAYER_WISE_STARTUP
       if ( xAllRefLayersInitilized() )
       {
@@ -1363,11 +1333,7 @@
         return true; 
       }
-#else
-      m_pocRandomAccess = -MAX_INT; // no need to skip the reordered pictures in IDR, they are decodable.
-#endif
     }
     else 
     {
-#if H_MV_FIX_SKIP_PICTURES
       static Bool warningMessage[MAX_NUM_LAYERS];
       static Bool warningInitFlag = false;
@@ -1387,12 +1353,4 @@
         warningMessage[m_layerId] = false; 
       }
-#else
-      static Bool warningMessage = false;
-      if(!warningMessage)
-      {
-        printf("\nWarning: this is not a valid random access point and the data is discarded until the first CRA picture");
-        warningMessage = true;
-      }
-#endif
       return true;
     }
@@ -1404,10 +1362,5 @@
     return true;
   }
-#if H_MV_LAYER_WISE_STARTUP
   return !m_layerInitilizedFlag[ getLayerId() ]; 
-#else
-  // if we reach here, then the picture is not skipped.
-  return false; 
-#endif
 }
 
@@ -1451,5 +1404,4 @@
 }
 
-#if H_MV_LAYER_WISE_STARTUP
 Void TDecTop::xCeckNoClrasOutput()
 {
@@ -1486,4 +1438,3 @@
 }
 #endif
-#endif
 //! \}
Index: /branches/HTM-9.2-dev0/source/Lib/TLibDecoder/TDecTop.h
===================================================================
--- /branches/HTM-9.2-dev0/source/Lib/TLibDecoder/TDecTop.h	(revision 765)
+++ /branches/HTM-9.2-dev0/source/Lib/TLibDecoder/TDecTop.h	(revision 766)
@@ -186,7 +186,5 @@
   TComList<TComPic*>      m_cListPic;         //  Dynamic buffer
 #if H_MV
-#if H_MV_LAYER_WISE_STARTUP
   Bool*                    m_layerInitilizedFlag; // initialization Layers
-#endif
   static ParameterSetManagerDecoder m_parameterSetManagerDecoder;  // storage for parameter sets 
 #else
@@ -246,9 +244,5 @@
   Void  init();
 #if H_MV  
-#if H_MV_FIX_SKIP_PICTURES
   Bool  decode(InputNALUnit& nalu, Int& iSkipFrame, Int& iPOCLastDisplay, Bool newLayer, Bool& sliceSkippedFlag );
-#else
-  Bool  decode(InputNALUnit& nalu, Int& iSkipFrame, Int& iPOCLastDisplay, Bool newLayer );
-#endif
   Bool  decode(InputNALUnit& nalu, Int& iSkipFrame, Int& iPOCLastDisplay, Bool newLayer );
 #else  
@@ -268,10 +262,6 @@
   TComList<TComPic*>*     getListPic            ()               { return &m_cListPic;  }  
   Void                    setIvPicLists         ( TComPicLists* picLists) { m_ivPicLists = picLists; }
-#if H_MV_LAYER_WISE_STARTUP
   Void                    setLayerInitilizedFlags( Bool* val )    { m_layerInitilizedFlag = val; }
-#endif
-#if H_MV_6_HRD_O0217_13
   TComVPS*                getPrefetchedVPS      ()               { return m_parameterSetManagerDecoder.getPrefetchedVPS( 0 ); }; //Assuming that currently only one VPS is present. 
-#endif
   Int                     getCurrPoc            ()               { return m_apcSlicePilot->getPOC(); }
   Void                    setLayerId            ( Int layer)     { m_layerId = layer;   }
@@ -294,15 +284,9 @@
 #if H_MV  
   TComPic*  xGetPic( Int layerId, Int poc ); 
-#if H_MV_FIX_SKIP_PICTURES
   Bool      xDecodeSlice(InputNALUnit &nalu, Int &iSkipFrame, Int iPOCLastDisplay, Bool newLayerFlag, Bool& sliceSkippedFlag );  
-#else
-  Bool      xDecodeSlice(InputNALUnit &nalu, Int &iSkipFrame, Int iPOCLastDisplay, Bool newLayerFlag );  
-#endif
   Void      xResetPocInPicBuffer();
-#if H_MV_LAYER_WISE_STARTUP
   Void      xCeckNoClrasOutput();
 
   Bool      xAllRefLayersInitilized();
-#endif
 #else
   Bool      xDecodeSlice(InputNALUnit &nalu, Int &iSkipFrame, Int iPOCLastDisplay);
Index: /branches/HTM-9.2-dev0/source/Lib/TLibEncoder/TEncCavlc.cpp
===================================================================
--- /branches/HTM-9.2-dev0/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 765)
+++ /branches/HTM-9.2-dev0/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 766)
@@ -495,7 +495,5 @@
   }
   WRITE_FLAG(pcVUI->getVideoSignalTypePresentFlag(),            "video_signal_type_present_flag");
-#if H_MV_6_PS_O0118_33
   assert( pcSPS->getLayerId() == 0 || !pcVUI->getVideoSignalTypePresentFlag() ); 
-#endif
   if (pcVUI->getVideoSignalTypePresentFlag())
   {
@@ -661,5 +659,4 @@
   {
     WRITE_FLAG( pcSPS->getUpdateRepFormatFlag( ) ? 1 : 0 , "update_rep_format_flag" );
-#if H_MV_6_PS_REP_FORM_18_19_20    
     if ( pcSPS->getUpdateRepFormatFlag() )
     { 
@@ -669,10 +666,4 @@
   else
   {
-#else
-  }
-
-  if ( pcSPS->getUpdateRepFormatFlag() )
-  { 
-#endif
 #endif
   WRITE_UVLC( pcSPS->getChromaFormatIdc (),         "chroma_format_idc" );
@@ -700,9 +691,5 @@
   }
 #if H_MV
-#if H_MV_6_PS_REP_FORM_18_19_20
   if ( pcSPS->getLayerId() == 0 )
-#else
-  if ( pcSPS->getUpdateRepFormatFlag() )
-#endif
   { 
 #endif
@@ -809,5 +796,4 @@
   WRITE_FLAG( 0, "sps_extension_flag" );
 #else
-#if H_MV_6_PSEM_O0142_3
   WRITE_FLAG( pcSPS->getSpsExtensionFlag(), "sps_extension_flag" );
 
@@ -836,15 +822,4 @@
 #endif
   }
-#else
-  WRITE_FLAG( 1, "sps_extension_flag" );
-  codeSPSExtension( pcSPS ); 
-#if !H_3D
-  WRITE_FLAG( 0, "sps_extension2_flag" );
-#else
-  WRITE_FLAG( 1, "sps_extension2_flag" );
-  codeSPSExtension2( pcSPS, viewIndex, depthFlag ); 
-  WRITE_FLAG( 0, "sps_extension3_flag" );
-#endif  
-#endif
 #endif
 }
@@ -855,7 +830,4 @@
   WRITE_FLAG( pcSPS->getInterViewMvVertConstraintFlag() ? 1 : 0, "inter_view_mv_vert_constraint_flag" );
 
-#if !H_MV_6_SHVC_O0098_36
-  WRITE_UVLC( 0, "sps_shvc_reserved_zero_idc" ); 
-#else
   WRITE_UVLC( pcSPS->getNumScaledRefLayerOffsets( ), "num_scaled_ref_layer_offsets" );
 
@@ -871,5 +843,4 @@
     WRITE_SVLC( pcSPS->getScaledRefLayerBottomOffset( j ), "scaled_ref_layer_bottom_offset" );
   }
-#endif  
 }
 #endif
@@ -1020,13 +991,9 @@
 {
   WRITE_FLAG( pcVPS->getAvcBaseLayerFlag() ? 1 : 0,          "avc_base_layer_flag" );
-#if H_MV_6_PS_O0109_24
   WRITE_FLAG( pcVPS->getVpsVuiPresentFlag() ? 1 : 0 , "vps_vui_present_flag" );
   if ( pcVPS->getVpsVuiPresentFlag() )
   {  
-#endif
   WRITE_CODE( pcVPS->getVpsVuiOffset( ), 16,                 "vps_vui_offset" );  // TBD
-#if H_MV_6_PS_O0109_24
-  }
-#endif
+  }
   WRITE_FLAG( pcVPS->getSplittingFlag() ? 1 : 0,             "splitting_flag" );
   
@@ -1075,5 +1042,4 @@
 
 
-#if H_MV_6_PS_O0109_22
     WRITE_CODE( pcVPS->getViewIdLen( ), 4, "view_id_len" );
     
@@ -1092,17 +1058,4 @@
       }
     }
-#else
-  // GT spec says: trac #39
-  // if ( pcVPS->getNumViews() > 1 )  
-  //   However, this is a bug in the text since, view_id_len_minus1 is needed to parse view_id_val. 
-  {
-    WRITE_CODE( pcVPS->getViewIdLenMinus1( ), 4, "view_id_len_minus1" );
-  }
-
-  for( Int i = 0; i < pcVPS->getNumViews(); i++ )
-  {
-    WRITE_CODE( pcVPS->getViewIdVal( i ), pcVPS->getViewIdLenMinus1( ) + 1, "view_id_val[i]" );
-  }
-#endif
 
 
@@ -1114,5 +1067,4 @@
     }
   }
-#if H_MV_6_ILDSD_O0120_26
   WRITE_FLAG( pcVPS->getVpsSubLayersMaxMinus1PresentFlag( ) ? 1 : 0 , "vps_sub_layers_max_minus1_present_flag" );
   if ( pcVPS->getVpsSubLayersMaxMinus1PresentFlag() )
@@ -1131,5 +1083,4 @@
     }
   }
-#endif
   WRITE_FLAG( pcVPS->getMaxTidRefPresentFlag( ) ? 1 : 0 , "max_tid_ref_present_flag" );
 
@@ -1138,5 +1089,4 @@
     for( Int i = 0; i < pcVPS->getMaxLayersMinus1(); i++ )
     {
-#if H_MV_6_ILDDS_O0225_30
       for( Int j = i + 1; j <= pcVPS->getMaxLayersMinus1(); j++ )
       {
@@ -1146,7 +1096,4 @@
         }
       }
-#else
-      WRITE_CODE( pcVPS->getMaxTidIlRefPicPlus1( i ), 3,       "max_tid_il_ref_pics_plus1[i]" );
-#endif
     }
   }
@@ -1162,7 +1109,5 @@
     {    
       WRITE_CODE( pcVPS->getProfileRefMinus1( i ), 6, "profile_ref_minus1[i]" );
-#if H_MV_6_PS_O0109_23
       pcVPS->checkProfileRefMinus1( i );      
-#endif
     }
     codePTL( pcVPS->getPTL( i ), pcVPS->getVpsProfilePresentFlag( i ), pcVPS->getMaxTLayers() - 1 );
@@ -1181,16 +1126,10 @@
   if( numOutputLayerSets > 1)
   {
-#if H_MV_6_PS_0109_25
     WRITE_CODE( pcVPS->getDefaultOneTargetOutputLayerIdc( ), 2, "default_one_target_output_layer_idc" );
     pcVPS->checkDefaultOneTargetOutputLayerIdc(); 
-#else
-    WRITE_FLAG( pcVPS->getDefaultOneTargetOutputLayerFlag( ) ? 1 : 0, "default_one_target_output_layer_flag" );
-#endif        
   }  
 
-#if H_MV_6_HRD_O0217_13
   assert( pcVPS->getOutputLayerFlag(0, 0) == pcVPS->inferOutputLayerFlag( 0, 0 )); 
   assert( pcVPS->getOutputLayerSetIdxMinus1( 0 ) == -1 ); 
-#endif
   for( Int i = 1; i < numOutputLayerSets; i++ )
   {
@@ -1203,5 +1142,4 @@
       }      
     }
-#if H_MV_6_HRD_O0217_13
     else
     { // These inference rules would also be helpful in spec text
@@ -1212,5 +1150,4 @@
       }
     }
-#endif
 
     if ( pcVPS->getProfileLevelTierIdxLen()  > 0 )
@@ -1220,10 +1157,8 @@
   }
 
-#if H_MV_6_GEN_0153_28
   if( pcVPS->getMaxLayersMinus1() > 0 )
   {
     WRITE_FLAG( pcVPS->getAltOutputLayerFlag( ) ? 1 : 0 , "alt_output_layer_flag" );
   }
-#endif
 
   WRITE_FLAG( pcVPS->getRepFormatIdxPresentFlag( ) ? 1 : 0 , "rep_format_idx_present_flag" );
@@ -1235,12 +1170,7 @@
   for (Int i = 0; i <= pcVPS->getVpsNumRepFormatsMinus1(); i++ )
   {    
-#if H_MV_6_PS_REP_FORM_18_19_20
     TComRepFormat* curRepFormat = pcVPS->getRepFormat(i);     
     TComRepFormat* prevRepFormat = i > 0 ? pcVPS->getRepFormat( i - 1) : NULL; 
     codeRepFormat( i, curRepFormat ,  prevRepFormat); 
-#else
-    TComRepFormat* pcRepFormat = pcVPS->getRepFormat(i);     
-    codeRepFormat( pcRepFormat ); 
-#endif
   }
 
@@ -1251,9 +1181,5 @@
       if( pcVPS->getVpsNumRepFormatsMinus1() > 0 )
       {
-#if H_MV_6_PS_REP_FORM_18_19_20
         WRITE_CODE( pcVPS->getVpsRepFormatIdx( i ), 8, "vps_rep_format_idx" );
-#else
-        WRITE_CODE( pcVPS->getVpsRepFormatIdx( i ), 4, "vps_rep_format_idx" );
-#endif
       }
     }
@@ -1261,5 +1187,4 @@
 
   WRITE_FLAG( pcVPS->getMaxOneActiveRefLayerFlag( ) ? 1 : 0, "max_one_active_ref_layer_flag" );
-#if H_MV_6_MISC_O0062_31
   for( Int i = 1; i  <=  pcVPS->getMaxLayersMinus1(); i++ )
   {
@@ -1269,15 +1194,8 @@
     }
   }
-#endif
-#if H_MV_6_HRD_O0217_13
   codeDpbSize( pcVPS ); 
-#endif
-
-#if !H_MV_6_PS_O0223_29
-  WRITE_FLAG( pcVPS->getCrossLayerIrapAlignedFlag( ) ? 1 : 0 , "cross_layer_irap_aligned_flag" );
-#endif
+
   WRITE_UVLC( pcVPS->getDirectDepTypeLenMinus2 ( ),         "direct_dep_type_len_minus2"); 
 
-#if H_MV_6_PS_O0096_21
   WRITE_FLAG( pcVPS->getDefaultDirectDependencyFlag( ) ? 1 : 0 , "default_direct_dependency_flag" );
 
@@ -1305,21 +1223,5 @@
     }
   }  
-#else
-    for( Int i = 1; i <= pcVPS->getMaxLayersMinus1(); i++ )
-    {
-      for( Int j = 0; j < i; j++ )
-      {
-        if (pcVPS->getDirectDependencyFlag( i, j) )
-        {        
-          assert ( pcVPS->getDirectDependencyType( i, j ) != -1 ); 
-          WRITE_CODE( pcVPS->getDirectDependencyType( i, j ),pcVPS->getDirectDepTypeLenMinus2( ) + 2,  "direct_dependency_type[i][j]" );
-        }
-      }
-    }
-#endif
     WRITE_FLAG ( 0,                                      "vps_shvc_reserved_zero_flag" ); 
-#if !H_MV_6_PS_O0109_24
-    WRITE_FLAG( pcVPS->getVpsVuiPresentFlag( ) ? 1 : 0 , "vps_vui_present_flag" );
-#endif
 
     if( pcVPS->getVpsVuiPresentFlag() )
@@ -1329,5 +1231,4 @@
     }     
 }
-#if H_MV_6_PS_O0118_33
 Void TEncCavlc::codeVideoSignalInfo( TComVideoSignalInfo* pcVideoSignalInfo )
 {
@@ -1339,7 +1240,5 @@
   WRITE_CODE( pcVideoSignalInfo->getMatrixCoeffsVps( ), 8, "matrix_coeffs_vps" );
 }
-#endif
-
-#if H_MV_6_HRD_O0217_13
+
 Void TEncCavlc::codeDpbSize( TComVPS* vps )
 { 
@@ -1381,15 +1280,9 @@
   }  
 }
-#endif
-
-#if H_MV_6_PS_REP_FORM_18_19_20
+
 Void TEncCavlc::codeRepFormat( Int i, TComRepFormat* pcRepFormat, TComRepFormat* pcPrevRepFormat )
-#else
-Void TEncCavlc::codeRepFormat( TComRepFormat* pcRepFormat )
-#endif
 {
   assert( pcRepFormat ); 
 
-#if H_MV_6_PS_REP_FORM_18_19_20
   WRITE_CODE( pcRepFormat->getPicWidthVpsInLumaSamples( ),  16, "pic_width_vps_in_luma_samples" );
   WRITE_CODE( pcRepFormat->getPicHeightVpsInLumaSamples( ), 16, "pic_height_vps_in_luma_samples" );
@@ -1400,5 +1293,4 @@
   if ( pcRepFormat->getChromaAndBitDepthVpsPresentFlag() )
   {  
-#endif
   WRITE_CODE( pcRepFormat->getChromaFormatVpsIdc( ), 2, "chroma_format_vps_idc" );
 
@@ -1407,11 +1299,6 @@
     WRITE_FLAG( pcRepFormat->getSeparateColourPlaneVpsFlag( ) ? 1 : 0 , "separate_colour_plane_vps_flag" );
   }
-#if !H_MV_6_PS_REP_FORM_18_19_20
-  WRITE_CODE( pcRepFormat->getPicWidthVpsInLumaSamples( ),  16, "pic_width_vps_in_luma_samples" );
-  WRITE_CODE( pcRepFormat->getPicHeightVpsInLumaSamples( ), 16, "pic_height_vps_in_luma_samples" );
-#endif
   WRITE_CODE( pcRepFormat->getBitDepthVpsLumaMinus8( ),      4, "bit_depth_vps_luma_minus8" );
   WRITE_CODE( pcRepFormat->getBitDepthVpsChromaMinus8( ),    4, "bit_depth_vps_chroma_minus8" );
-#if H_MV_6_PS_REP_FORM_18_19_20
   }
   else
@@ -1419,5 +1306,4 @@
     pcRepFormat->inferChromaAndBitDepth(pcPrevRepFormat, true ); 
   }
-#endif
 }
 
@@ -1430,5 +1316,4 @@
   assert( pcVPSVUI ); 
 
-#if H_MV_6_PS_O0223_29
   WRITE_FLAG( pcVPSVUI->getCrossLayerPicTypeAlignedFlag( ) ? 1 : 0 , "cross_layer_pic_type_aligned_flag" );
   if ( !pcVPSVUI->getCrossLayerPicTypeAlignedFlag() )
@@ -1436,5 +1321,4 @@
     WRITE_FLAG( pcVPSVUI->getCrossLayerIrapAlignedFlag( ) ? 1 : 0 , "cross_layer_irap_aligned_flag" );
   }
-#endif
 
   WRITE_FLAG( pcVPSVUI->getBitRatePresentVpsFlag( ) ? 1 : 0 , "bit_rate_present_vps_flag" );
@@ -1468,5 +1352,4 @@
   }
 
-#if H_MV_6_O0226_37
   WRITE_FLAG( pcVPSVUI->getTilesNotInUseFlag( ) ? 1 : 0 , "tiles_not_in_use_flag" );
   if( !pcVPSVUI->getTilesNotInUseFlag() ) 
@@ -1503,13 +1386,4 @@
     }
   }
-#else
-  for( Int i = 1; i  <=  pcVPS->getMaxLayersMinus1(); i++ )
-  {
-    for( Int  j = 0; j < pcVPS->getNumDirectRefLayers( pcVPS->getLayerIdInNuh( i ) ); j++ ) 
-    {
-      WRITE_FLAG( pcVPSVUI->getTileBoundariesAlignedFlag( i, j ) ? 1 : 0 , "tile_boundaries_aligned_flag" );
-    }
-  }
-#endif
   WRITE_FLAG( pcVPSVUI->getIlpRestrictedRefLayersFlag( ) ? 1 : 0 , "ilp_restricted_ref_layers_flag" );
 
@@ -1532,5 +1406,4 @@
     }
   }
-#if H_MV_6_PS_O0118_33
   WRITE_FLAG( pcVPSVUI->getVideoSignalInfoIdxPresentFlag( ) ? 1 : 0 , "video_signal_info_idx_present_flag" );
   if( pcVPSVUI->getVideoSignalInfoIdxPresentFlag() )
@@ -1565,6 +1438,4 @@
     }
   }
-#endif
-#if H_MV_6_HRD_O0164_15
   WRITE_FLAG( pcVPSVUI->getVpsVuiBspHrdPresentFlag( ) ? 1 : 0 , "vps_vui_bsp_hrd_present_flag" );
   if ( pcVPSVUI->getVpsVuiBspHrdPresentFlag( ) )
@@ -1572,7 +1443,5 @@
     codeVpsVuiBspHrdParameters( pcVPS ); 
   }
-#endif
-}
-#if H_MV_6_HRD_O0164_15
+}
 Void TEncCavlc::codeVpsVuiBspHrdParameters( TComVPS* pcVPS )
 {
@@ -1631,5 +1500,4 @@
   }  
 }  
-#endif
 
 #endif
@@ -1783,5 +1651,18 @@
 #if H_MV    
     Int esb = 0;  //Don't use i, otherwise will shadow something below
-#if !H_MV_6_RALS_O0149_11
+
+    if ( pcSlice->getPPS()->getNumExtraSliceHeaderBits() > esb )
+    {
+      esb++; 
+      WRITE_FLAG( pcSlice->getDiscardableFlag( ) ? 1 : 0 , "discardable_flag" );
+    }
+
+    if ( pcSlice->getPPS()->getNumExtraSliceHeaderBits() > esb )
+    {
+      esb++; 
+      WRITE_FLAG( pcSlice->getCrossLayerBlaFlag( ) ? 1 : 0 , "cross_layer_bla_flag" );
+    }
+    pcSlice->checkCrossLayerBlaFlag( ); 
+
     if ( pcSlice->getPPS()->getNumExtraSliceHeaderBits() > esb )
     {
@@ -1789,26 +1670,4 @@
       WRITE_FLAG( pcSlice->getPocResetFlag( ) ? 1 : 0 , "poc_reset_flag" );
     }
-#endif
-
-    if ( pcSlice->getPPS()->getNumExtraSliceHeaderBits() > esb )
-    {
-      esb++; 
-      WRITE_FLAG( pcSlice->getDiscardableFlag( ) ? 1 : 0 , "discardable_flag" );
-    }
-
-#if H_MV_6_RALS_O0149_11
-    if ( pcSlice->getPPS()->getNumExtraSliceHeaderBits() > esb )
-    {
-      esb++; 
-      WRITE_FLAG( pcSlice->getCrossLayerBlaFlag( ) ? 1 : 0 , "cross_layer_bla_flag" );
-    }
-    pcSlice->checkCrossLayerBlaFlag( ); 
-
-    if ( pcSlice->getPPS()->getNumExtraSliceHeaderBits() > esb )
-    {
-      esb++; 
-      WRITE_FLAG( pcSlice->getPocResetFlag( ) ? 1 : 0 , "poc_reset_flag" );
-    }
-#endif
 
 
@@ -1835,5 +1694,4 @@
     //   colour_plane_id                                      u(2)
 
-#if H_MV_6_POC_31_35_38
     if ( (pcSlice->getLayerId() > 0 && !vps->getPocLsbNotPresentFlag( pcSlice->getLayerIdInVps())) || !pcSlice->getIdrPicFlag() )
     {
@@ -1841,11 +1699,6 @@
       WRITE_CODE( picOrderCntLSB, pcSlice->getSPS()->getBitsForPOC(), "slice_pic_order_cnt_lsb");
     }
-#endif
     if( !pcSlice->getIdrPicFlag() )
     {
-#if !H_MV_6_POC_31_35_38
-      Int picOrderCntLSB = (pcSlice->getPOC()-pcSlice->getLastIDR()+(1<<pcSlice->getSPS()->getBitsForPOC())) & ((1<<pcSlice->getSPS()->getBitsForPOC())-1);
-      WRITE_CODE( picOrderCntLSB, pcSlice->getSPS()->getBitsForPOC(), "pic_order_cnt_lsb");
-#endif
       TComReferencePictureSet* rps = pcSlice->getRPS();
       
@@ -1961,7 +1814,5 @@
     }
 #if H_MV
-#if H_MV_6_ILDDS_ILREFPICS_27_34
     Bool interLayerPredLayerIdcPresentFlag = false; 
-#endif
     Int layerId = pcSlice->getLayerId(); 
     if( pcSlice->getLayerId() > 0 && !vps->getAllRefLayersActiveFlag() && vps->getNumDirectRefLayers( layerId ) > 0 )
@@ -1976,7 +1827,5 @@
         if ( pcSlice->getNumActiveRefLayerPics() != vps->getNumDirectRefLayers( layerId ) )
         {        
-#if H_MV_6_ILDDS_ILREFPICS_27_34
           interLayerPredLayerIdcPresentFlag = true; 
-#endif
           for( Int idx = 0; idx < pcSlice->getNumActiveRefLayerPics(); idx++ )   
           {
@@ -1986,5 +1835,4 @@
       }  
     }
-#if H_MV_6_ILDDS_ILREFPICS_27_34
     if ( !interLayerPredLayerIdcPresentFlag )
     {
@@ -1994,5 +1842,4 @@
       }
     }
-#endif
 #endif
     if(pcSlice->getSPS()->getUseSAO())
Index: /branches/HTM-9.2-dev0/source/Lib/TLibEncoder/TEncCavlc.h
===================================================================
--- /branches/HTM-9.2-dev0/source/Lib/TLibEncoder/TEncCavlc.h	(revision 765)
+++ /branches/HTM-9.2-dev0/source/Lib/TLibEncoder/TEncCavlc.h	(revision 766)
@@ -86,21 +86,11 @@
 #if H_MV
   Void  codeVPSExtension       ( TComVPS *pcVPS );
-#if H_MV_6_PS_O0118_33
   Void  codeVideoSignalInfo     ( TComVideoSignalInfo* pcVideoSignalInfo ); 
-#endif
 
-#if H_MV_6_HRD_O0217_13
   Void  codeDpbSize   ( TComVPS* vps );
-#endif
 
-#if H_MV_6_PS_REP_FORM_18_19_20
   Void  codeRepFormat           ( Int i, TComRepFormat* curRepFormat, TComRepFormat* prevRepFormat );
-#else
-  Void  codeRepFormat          ( TComRepFormat* pcRepFormat );
-#endif
   Void  codeVPSVUI             ( TComVPS* pcVPS );
-#if H_MV_6_HRD_O0164_15
   Void  codeVpsVuiBspHrdParameters( TComVPS* pcVPS ); 
-#endif
 #endif 
   Void  codeVUI                 ( TComVUI *pcVUI, TComSPS* pcSPS );
Index: /branches/HTM-9.2-dev0/source/Lib/TLibEncoder/TEncGOP.cpp
===================================================================
--- /branches/HTM-9.2-dev0/source/Lib/TLibEncoder/TEncGOP.cpp	(revision 765)
+++ /branches/HTM-9.2-dev0/source/Lib/TLibEncoder/TEncGOP.cpp	(revision 766)
@@ -664,9 +664,5 @@
     refPicListModification->setRefPicListModificationFlagL1(0);
 #if H_MV
-#if H_MV_6_RALS_O0149_11
     if ( pcSlice->getPPS()->getNumExtraSliceHeaderBits() > 0 )
-#else
-    if ( pcSlice->getPPS()->getNumExtraSliceHeaderBits() > 1 )
-#endif
     {
       // Some more sophisticated algorithm to determine discardable_flag might be added here. 
@@ -678,7 +674,5 @@
     GOPEntry gopEntry      = m_pcCfg->getGOPEntry( (pcSlice->getRapPicFlag() && getLayerId() > 0) ? MAX_GOP : iGOPid );     
     
-#if H_MV_6_ILDDS_ILREFPICS_27_34
     Bool interLayerPredLayerIdcPresentFlag = false; 
-#endif
     if ( getLayerId() > 0 && !vps->getAllRefLayersActiveFlag() && numDirectRefLayers > 0 )
     {         
@@ -692,7 +686,5 @@
         if ( gopEntry.m_numActiveRefLayerPics != vps->getNumDirectRefLayers( getLayerId() ) )
         {        
-#if H_MV_6_ILDDS_ILREFPICS_27_34
           interLayerPredLayerIdcPresentFlag = true; 
-#endif
           for (Int i = 0; i < gopEntry.m_numActiveRefLayerPics; i++ )
           {
@@ -702,5 +694,4 @@
       }
     }
-#if H_MV_6_ILDDS_ILREFPICS_27_34
     if ( !interLayerPredLayerIdcPresentFlag )
     {
@@ -710,5 +701,4 @@
       }
     }
-#endif
 
 
Index: /branches/HTM-9.2-dev0/source/Lib/TLibEncoder/TEncTop.cpp
===================================================================
--- /branches/HTM-9.2-dev0/source/Lib/TLibEncoder/TEncTop.cpp	(revision 765)
+++ /branches/HTM-9.2-dev0/source/Lib/TLibEncoder/TEncTop.cpp	(revision 766)
@@ -723,17 +723,11 @@
 
 #if H_MV  
-#if H_MV_6_PS_REP_FORM_18_19_20
   m_cSPS.setUpdateRepFormatFlag           ( false );    
-#else
-  m_cSPS.setUpdateRepFormatFlag           ( m_layerId == 0 );    
-#endif
   m_cSPS.setSpsInferScalingListFlag       ( m_layerId > 0 && m_cVPS->getInDirectDependencyFlag( getLayerIdInVps(), 0 ) ); 
   m_cSPS.setSpsScalingListRefLayerId      ( 0              ); 
-#if H_MV_6_PSEM_O0142_3
   m_cSPS.setSpsExtensionFlag              ( true ); 
   m_cSPS.setSpsExtensionTypeFlag          ( PS_EX_T_MV ,true ); 
 #if H_3D
   m_cSPS.setSpsExtensionTypeFlag          ( PS_EX_T_3D ,true ); 
-#endif
 #endif
 #endif
@@ -823,9 +817,5 @@
     pcVUI->setOverscanInfoPresentFlag(getOverscanInfoPresentFlag());
     pcVUI->setOverscanAppropriateFlag(getOverscanAppropriateFlag());
-#if H_MV_6_PS_O0118_33
     pcVUI->setVideoSignalTypePresentFlag(getVideoSignalTypePresentFlag() && getLayerId() == 0 );
-#else
-    pcVUI->setVideoSignalTypePresentFlag(getVideoSignalTypePresentFlag());
-#endif
     pcVUI->setVideoFormat(getVideoFormat());
     pcVUI->setVideoFullRangeFlag(getVideoFullRangeFlag());
@@ -945,9 +935,5 @@
   m_cPPS.setOutputFlagPresentFlag( false );
 #if H_MV
-#if H_MV_6_RALS_O0149_11
   m_cPPS.setNumExtraSliceHeaderBits( 3 ); 
-#else
-  m_cPPS.setNumExtraSliceHeaderBits( 2 ); 
-#endif
 #endif
   m_cPPS.setSignHideFlag(getSignHideFlag());
